%define name gcal
%define version 3.01
%define release 7mdk

Summary: Print calendars
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Office
Source0: ftp://ftp.gnu.org/pub/gnu/gcal/%{name}-%{version}.tar.bz2
Patch0: gcal-fix-relative-symlinks.patch.bz2
Patch1:	%{name}-3.01-misc.patch.bz2
URL: http://www.gnu.org/software/gcal/gcal.html
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Gcal is a program for printing calendars. Gcal displays a calendar for a month
or a year, eternal holiday lists and fixed date lists, in many ways. The
program correctly omits the dates that were skipped when the current Gregorian
calendar replaced the earlier Julian calendar.

Additionally, it can generate air line distance between over 400 cities on
earth, moon phases in these cities, whole annual holidays, etc.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p0
%patch1 -p1

%build

%configure 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall mandir=$RPM_BUILD_ROOT%{_mandir}/man1
perl -pi -e "s,$RPM_BUILD_ROOT,," $RPM_BUILD_ROOT/usr/share/gcal/misc/*/*

mkdir -p $RPM_BUILD_ROOT%{_mandir}/de/man1
install -m 0644 doc/de/man/*.1 $RPM_BUILD_ROOT%{_mandir}/de/man1/

rm $RPM_BUILD_ROOT/%_datadir/locale/*.alias

%find_lang %{name}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc README LIMITATIONS COPYING ATTENTION HISTORY DISCLAIM
%{_bindir}/*
%{_datadir}/gcal
%{_infodir}/gcal*
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*

%changelog
* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.01-7mdk
- rebuild

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.01-6mdk
- rebuild

* Sun Mar 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.01-5mdk
- fixes from Abel Cheung <maddog@linux.org.hk> :
	- Patch1: Misc fixes taken from debian
	- Add missing manpages
	- find_lang
	- Use _install_info and _remove_install_info

* Tue Jul 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.01-4mdk
- rebuild

* Fri May 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.01-3mdk
- use find_lang

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.01-2mdk
- rebuild

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.01-1mdk
- macros
- BM

* Sat Jun 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.00-2mdk
- better group

* Fri Jun  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.00-1mdk
- first Mandrake package

